Skip to main content
GET
/
api
/
v1
/
task_executions
/
{id.node_execution_id.execution_id.project}
/
{id.node_execution_id.execution_id.domain}
/
{id.node_execution_id.execution_id.name}
/
{id.node_execution_id.node_id}
/
{id.task_id.project}
/
{id.task_id.domain}
/
{id.task_id.name}
/
{id.task_id.version}
/
{id.retry_attempt}
Fetches a :ref:`ref_flyteidl.admin.TaskExecution`
curl --request GET \
  --url https://mycluster.domino.tech/api/v1/task_executions/{id.node_execution_id.execution_id.project}/{id.node_execution_id.execution_id.domain}/{id.node_execution_id.execution_id.name}/{id.node_execution_id.node_id}/{id.task_id.project}/{id.task_id.domain}/{id.task_id.name}/{id.task_id.version}/{id.retry_attempt}
{
  "id": {
    "task_id": {
      "resource_type": "UNSPECIFIED",
      "project": "<string>",
      "domain": "<string>",
      "name": "<string>",
      "version": "<string>",
      "org": "<string>"
    },
    "node_execution_id": {
      "node_id": "<string>",
      "execution_id": {
        "project": "<string>",
        "domain": "<string>",
        "name": "<string>",
        "org": "<string>"
      }
    },
    "retry_attempt": 123
  },
  "input_uri": "<string>",
  "closure": {
    "output_uri": "<string>",
    "error": {
      "code": "<string>",
      "message": "<string>",
      "error_uri": "<string>",
      "kind": "UNKNOWN",
      "timestamp": "2023-11-07T05:31:56Z",
      "worker": "<string>"
    },
    "output_data": {
      "literals": {}
    },
    "phase": "UNDEFINED",
    "logs": [
      {
        "uri": "<string>",
        "name": "<string>",
        "message_format": "UNKNOWN",
        "ttl": "<string>",
        "ShowWhilePending": true,
        "HideOnceFinished": true
      }
    ],
    "started_at": "2023-11-07T05:31:56Z",
    "duration": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "custom_info": {},
    "reason": "<string>",
    "task_type": "<string>",
    "metadata": {
      "generated_name": "<string>",
      "external_resources": [
        {
          "external_id": "<string>",
          "index": 123,
          "retry_attempt": 123,
          "phase": "UNDEFINED",
          "cache_status": "CACHE_DISABLED",
          "logs": [
            {
              "uri": "<string>",
              "name": "<string>",
              "message_format": "UNKNOWN",
              "ttl": "<string>",
              "ShowWhilePending": true,
              "HideOnceFinished": true
            }
          ],
          "workflow_node_metadata": {
            "execution_id": {
              "project": "<string>",
              "domain": "<string>",
              "name": "<string>",
              "org": "<string>"
            }
          },
          "custom_info": {},
          "log_context": {
            "pods": [
              {
                "namespace": "<string>",
                "pod_name": "<string>",
                "containers": [
                  {
                    "container_name": "<string>",
                    "process": {
                      "container_start_time": "2023-11-07T05:31:56Z",
                      "container_end_time": "2023-11-07T05:31:56Z"
                    }
                  }
                ],
                "primary_container_name": "<string>",
                "init_containers": [
                  {
                    "container_name": "<string>",
                    "process": {
                      "container_start_time": "2023-11-07T05:31:56Z",
                      "container_end_time": "2023-11-07T05:31:56Z"
                    }
                  }
                ]
              }
            ],
            "primary_pod_name": "<string>"
          }
        }
      ],
      "resource_pool_info": [
        {
          "allocation_token": "<string>",
          "namespace": "<string>"
        }
      ],
      "plugin_identifier": "<string>",
      "instance_class": "DEFAULT"
    },
    "event_version": 123,
    "reasons": [
      {
        "occurred_at": "2023-11-07T05:31:56Z",
        "message": "<string>"
      }
    ],
    "log_context": {
      "pods": [
        {
          "namespace": "<string>",
          "pod_name": "<string>",
          "containers": [
            {
              "container_name": "<string>",
              "process": {
                "container_start_time": "2023-11-07T05:31:56Z",
                "container_end_time": "2023-11-07T05:31:56Z"
              }
            }
          ],
          "primary_container_name": "<string>",
          "init_containers": [
            {
              "container_name": "<string>",
              "process": {
                "container_start_time": "2023-11-07T05:31:56Z",
                "container_end_time": "2023-11-07T05:31:56Z"
              }
            }
          ]
        }
      ],
      "primary_pod_name": "<string>"
    }
  },
  "is_parent": true
}

Path Parameters

id.node_execution_id.execution_id.project
string
required

Name of the project the resource belongs to.

id.node_execution_id.execution_id.domain
string
required

Name of the domain the resource belongs to. A domain can be considered as a subset within a specific project.

id.node_execution_id.execution_id.name
string
required

User or system provided value for the resource.

id.node_execution_id.node_id
string
required
id.task_id.project
string
required

Name of the project the resource belongs to.

id.task_id.domain
string
required

Name of the domain the resource belongs to. A domain can be considered as a subset within a specific project.

id.task_id.name
string
required

User provided value for the resource.

id.task_id.version
string
required

Specific version of the resource.

id.retry_attempt
integer<int64>
required

Query Parameters

id.task_id.resource_type
enum<string>
default:UNSPECIFIED

Identifies the specific type of resource that this identifier corresponds to.

  • DATASET: A dataset represents an entity modeled in Flyte DataCatalog. A Dataset is also a versioned entity and can be a compilation of multiple individual objects. Eventually all Catalog objects should be modeled similar to Flyte Objects. The Dataset entities makes it possible for the UI and CLI to act on the objects in a similar manner to other Flyte objects
Available options:
UNSPECIFIED,
TASK,
WORKFLOW,
LAUNCH_PLAN,
DATASET
id.task_id.org
string

Optional, org key applied to the resource.

id.node_execution_id.execution_id.org
string

Optional, org key applied to the resource.

Response

A successful response.

Encapsulates all details for a single task execution entity. A task execution represents an instantiated task, including all inputs and additional metadata as well as computed results included state, outputs, and duration-based attributes.

id
object

Encapsulation of fields that identify a Flyte task execution entity.

input_uri
string

Path to remote data store where input blob is stored.

closure
object

Container for task execution details and results.

is_parent
boolean

Whether this task spawned nodes.